| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
SubscriptionBuiltinTopicData Struct Reference

Structure SubscriptionBuiltinTopicData, contains the information on a discovered subscription. More...

`#include <SubscriptionBuiltinTopicData.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | SubscriptionBuiltinTopicData ()=default
FASTDDS_EXPORTED_API | SubscriptionBuiltinTopicData (const size_t max_unicast_locators, const size_t max_multicast_locators, const VariableLengthDataLimits &data_limits, const fastdds::rtps::ContentFilterProperty::AllocationConfiguration &content_filter_limits)

## Public Attributes

BuiltinTopicKey_t | key {{0, 0, 0}}
| Builtin topic Key.
BuiltinTopicKey_t | participant_key {{0, 0, 0}}
| Builtin participant topic Key.
fastcdr::string_255 | topic_name
| Topic name.
fastcdr::string_255 | type_name
| Type name.
TopicKind_t | topic_kind = TopicKind_t::NO_KEY
| Topic kind.
dds::DurabilityQosPolicy | durability
| Durability Qos, implemented in the library.
dds::DeadlineQosPolicy | deadline
| Deadline Qos, implemented in the library.
dds::LatencyBudgetQosPolicy | latency_budget
| Latency Budget Qos, NOT implemented in the library.
dds::LifespanQosPolicy | lifespan
| Lifespan Qos, implemented in the library.
dds::LivelinessQosPolicy | liveliness
| Liveliness Qos, implemented in the library.
dds::ReliabilityQosPolicy | reliability
| Reliability Qos, implemented in the library.
dds::OwnershipQosPolicy | ownership
| Ownership Qos, implemented in the library.
dds::DestinationOrderQosPolicy | destination_order
| Destination Order Qos, NOT implemented in the library.
dds::UserDataQosPolicy | user_data
| User Data Qos, implemented in the library.
dds::TimeBasedFilterQosPolicy | time_based_filter
| Time Based Filter Qos, NOT implemented in the library.
dds::PresentationQosPolicy | presentation
| Presentation Qos, NOT implemented in the library.
dds::PartitionQosPolicy | partition
| Partition Qos, implemented in the library.
dds::TopicDataQosPolicy | topic_data
| Topic Data Qos, NOT implemented in the library.
dds::GroupDataQosPolicy | group_data
| Group Data Qos, implemented in the library.
dds::xtypes::TypeInformationParameter | type_information
| Type information.
dds::DataRepresentationQosPolicy | representation
| Data representation.
dds::TypeConsistencyEnforcementQosPolicy | type_consistency
| Type consistency enforcement Qos, NOT implemented in the library.
GUID_t | related_datawriter_key
ContentFilterProperty | content_filter { ContentFilterProperty::AllocationConfiguration{} }
| Content filter configuration.
dds::DisablePositiveACKsQosPolicy | disable_positive_acks
| Disable positive acks, implemented in the library.
dds::DataSharingQosPolicy | data_sharing
| Information for data sharing compatibility check.
fastcdr::optional< dds::HistoryQosPolicy > | history
| History Qos, kind and depth.
fastcdr::optional< dds::ResourceLimitsQosPolicy > | resource_limits
| Resource limits Qos.
fastcdr::optional< dds::ReaderDataLifecycleQosPolicy > | reader_data_lifecycle
| Reader data lifecycle Qos.
fastcdr::optional< dds::RTPSReliableReaderQos > | rtps_reliable_reader
| Reliable reader qos policy.
fastcdr::optional< dds::RTPSEndpointQos > | endpoint
| Endpoint qos policy.
fastcdr::optional< dds::ReaderResourceLimitsQos > | reader_resource_limits
| Reader resource limits.
GUID_t | guid
| GUID.
GUID_t | participant_guid
| Participant GUID.
RemoteLocatorList | remote_locators
| Remote locators.
NetworkConfigSet_t | loopback_transformation {}
| Network configuration.
bool | expects_inline_qos = false
| Expects Inline Qos.
ParameterPropertyList_t | properties
| Property list.

## Detailed Description

Structure SubscriptionBuiltinTopicData, contains the information on a discovered subscription.

## Constructor & Destructor Documentation

## ◆ SubscriptionBuiltinTopicData() [1/2]

FASTDDS_EXPORTED_API SubscriptionBuiltinTopicData | ( |  | ) |

default

## ◆ SubscriptionBuiltinTopicData() [2/2]

FASTDDS_EXPORTED_API SubscriptionBuiltinTopicData | ( | const size_t | max_unicast_locators,
|  | const size_t | max_multicast_locators,
|  | const VariableLengthDataLimits & | data_limits,
|  | const fastdds::rtps::ContentFilterProperty::AllocationConfiguration & | content_filter_limits )

## Member Data Documentation

## ◆ content_filter

ContentFilterProperty content_filter { ContentFilterProperty::AllocationConfiguration{} }

Content filter configuration.

## ◆ data_sharing

dds::DataSharingQosPolicy data_sharing

Information for data sharing compatibility check.

## ◆ deadline

dds::DeadlineQosPolicy deadline

Deadline Qos, implemented in the library.

## ◆ destination_order

dds::DestinationOrderQosPolicy destination_order

Destination Order Qos, NOT implemented in the library.

## ◆ disable_positive_acks

dds::DisablePositiveACKsQosPolicy disable_positive_acks

Disable positive acks, implemented in the library.

## ◆ durability

dds::DurabilityQosPolicy durability

Durability Qos, implemented in the library.

## ◆ endpoint

fastcdr::optional<dds::RTPSEndpointQos> endpoint

Endpoint qos policy.

## ◆ expects_inline_qos

bool expects_inline_qos = false

Expects Inline Qos.

## ◆ group_data

dds::GroupDataQosPolicy group_data

Group Data Qos, implemented in the library.

## ◆ guid

GUID_t guid

GUID.

## ◆ history

fastcdr::optional<dds::HistoryQosPolicy> history

History Qos, kind and depth.

## ◆ key

BuiltinTopicKey_t key {{0, 0, 0}}

Builtin topic Key.

## ◆ latency_budget

dds::LatencyBudgetQosPolicy latency_budget

Latency Budget Qos, NOT implemented in the library.

## ◆ lifespan

dds::LifespanQosPolicy lifespan

Lifespan Qos, implemented in the library.

## ◆ liveliness

dds::LivelinessQosPolicy liveliness

Liveliness Qos, implemented in the library.

## ◆ loopback_transformation

NetworkConfigSet_t loopback_transformation {}

Network configuration.

## ◆ ownership

dds::OwnershipQosPolicy ownership

Ownership Qos, implemented in the library.

## ◆ participant_guid

GUID_t participant_guid

Participant GUID.

## ◆ participant_key

BuiltinTopicKey_t participant_key {{0, 0, 0}}

Builtin participant topic Key.

## ◆ partition

dds::PartitionQosPolicy partition

Partition Qos, implemented in the library.

## ◆ presentation

dds::PresentationQosPolicy presentation

Presentation Qos, NOT implemented in the library.

## ◆ properties

ParameterPropertyList_t properties

Property list.

## ◆ reader_data_lifecycle

fastcdr::optional<dds::ReaderDataLifecycleQosPolicy> reader_data_lifecycle

Reader data lifecycle Qos.

## ◆ reader_resource_limits

fastcdr::optional<dds::ReaderResourceLimitsQos> reader_resource_limits

Reader resource limits.

## ◆ related_datawriter_key

GUID_t related_datawriter_key

## ◆ reliability

dds::ReliabilityQosPolicy reliability

Reliability Qos, implemented in the library.

## ◆ remote_locators

RemoteLocatorList remote_locators

Remote locators.

## ◆ representation

dds::DataRepresentationQosPolicy representation

Data representation.

## ◆ resource_limits

fastcdr::optional<dds::ResourceLimitsQosPolicy> resource_limits

Resource limits Qos.

## ◆ rtps_reliable_reader

fastcdr::optional<dds::RTPSReliableReaderQos> rtps_reliable_reader

Reliable reader qos policy.

## ◆ time_based_filter

dds::TimeBasedFilterQosPolicy time_based_filter

Time Based Filter Qos, NOT implemented in the library.

## ◆ topic_data

dds::TopicDataQosPolicy topic_data

Topic Data Qos, NOT implemented in the library.

## ◆ topic_kind

TopicKind_t topic_kind = TopicKind_t::NO_KEY

Topic kind.

## ◆ topic_name

fastcdr::string_255 topic_name

Topic name.

## ◆ type_consistency

dds::TypeConsistencyEnforcementQosPolicy type_consistency

Type consistency enforcement Qos, NOT implemented in the library.

## ◆ type_information

dds::xtypes::TypeInformationParameter type_information

Type information.

## ◆ type_name

fastcdr::string_255 type_name

Type name.

## ◆ user_data

dds::UserDataQosPolicy user_data

User Data Qos, implemented in the library.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/builtin/data/SubscriptionBuiltinTopicData.hpp